<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_image_';
?>
<div class="ipbar-fields-image">
    <?php
    //Input Image
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>image"><?php _e( 'Image', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( $key . 'image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_combo_bar' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp_combo_bar' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_combo_bar' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Photo', 'wp_combo_bar' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Photo', 'wp_combo_bar' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="<?php echo $key; ?>image" />
                    <input type="hidden" name="<?php echo $key; ?>image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
        </div>
    </div>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Design Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Input Size
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>width"><?php _e( 'Size', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $width = $setting->getSetting( $key . 'width' );
                ?>
                <div class="ipbe-input-addon">Width</div>
                <input type="text" id="<?php echo $key; ?>width" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>width" value="<?php echo $width; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <span class="mx5">X</span>
            <div class="ipbe-input-group">
                <?php
                $height = $setting->getSetting( $key . 'height' );
                ?>
                <div class="ipbe-input-addon">Height</div>
                <input type="text" id="<?php echo $key; ?>height" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>height" value="<?php echo $height; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set the size (in pixel) of the image.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    
    <?php
    //Border
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>border_width"><?php _e( 'Border', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <div class="ipbe-input-group mr5">
                <?php
                $bowidth = $setting->getSetting( $key . 'border_width', 2 );
                $bocolor = $setting->getSetting( $key . 'border_color', '#222222' );
                ?>
                <input type="text" id="<?php echo $key; ?>border_width" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>border_width" value="<?php echo $bowidth; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>border_color" name="<?php echo $key; ?>border_color" value="<?php echo $bocolor; ?>" />
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border that surrounds the image.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Border radius
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>border_radius"><?php _e( 'Border Radius', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>border_radius" id="<?php echo $key; ?>border_radius">
                <?php
                $current = $setting->getSetting( $key . 'border_radius', 'none' );
                $styles  = array(
                    'none' => __( 'None', 'wp_combo_bar' ),
                    'xs'   => __( 'Extra Small', 'wp_combo_bar' ),
                    'sm'   => __( 'Small', 'wp_combo_bar' ),
                    'md'   => __( 'Medium', 'wp_combo_bar' ),
                    'lg'   => __( 'Large', 'wp_combo_bar' )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border radius of the image.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Alignment
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>align"><?php _e( 'Alignment', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>align" id="<?php echo $key; ?>align">
                <?php
                $current = $setting->getSetting( $key . 'align', 'left' );
                $aligns  = array(
                    'left'     => __( 'Left', 'wp_combo_bar' ),
                    'center'   => __( 'Center', 'wp_combo_bar' ),
                    'right'    => __( 'Right', 'wp_combo_bar' )
                );
                foreach( $aligns as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The alignment of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
</div>
