<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_menu_';
?>
<div class="ipbar-fields-menu">
    <?php
    //Menu
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>select"><?php _e( 'Select Menu', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select id="<?php echo $key; ?>select" name="<?php echo $key; ?>select" class="ipbe-input">
            
                <option value="0">
                    <?php printf( '&mdash; %s &mdash;', esc_html__( 'Select a Menu' ) ); ?>
                </option>
                <?php
                $current   = absint( $setting->getSetting( $key . 'select' ) );
                $nav_menus = wp_get_nav_menus( array('orderby' => 'name') );
                foreach( $nav_menus as $menu ) {
                    $menu_id   = $menu->term_id;
                    $menu_name = wp_html_excerpt( $menu->name, 40, '&hellip;' );
                    $sltd      = '';
                    if ( $menu_id == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $menu_id . '"' . $sltd . '>' . $menu_name . '</option>';
                }
                ?>
            </select>
        </div>
    </div>
    
    <?php
    //Menu Style
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>style"><?php _e( 'Menu Style', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>style" id="<?php echo $key; ?>style">
                <?php
                $current = $setting->getSetting( $key . 'style', 'line' );
                $styles  = array(
                    'line'     => __( 'Line', 'wp_combo_bar' ),
                    'square'   => __( 'Square', 'wp_combo_bar' ),
                    'pill'     => __( 'Pill', 'wp_combo_bar' )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The style of the menu.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Menu Alignment
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>align"><?php _e( 'Menu Alignment', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>align" id="<?php echo $key; ?>align">
                <?php
                $current = $setting->getSetting( $key . 'align', 'left' );
                $aligns  = array(
                    'left'     => __( 'Left', 'wp_combo_bar' ),
                    'right'    => __( 'Right', 'wp_combo_bar' )
                );
                foreach( $aligns as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The alignment of the menu.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Text Design Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Font Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>font_size"><?php _e( 'Font Size', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $font_size = $setting->getSetting( $key . 'font_size', 14 );
                ?>
                <input type="text" id="<?php echo $key; ?>font_size" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>font_size" value="<?php echo $font_size; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font size of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>font_family"><?php _e( 'Font Family', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <?php
            $current = $setting->getSetting( $key . 'font_family', 'roboto' );
            $fonts   = IPBar_Font::getOptions();
            $fname   = IPBar_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="<?php echo $key; ?>font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Menu Design Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>color"><?php _e( 'Text Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>color" name="<?php echo $key; ?>color" value="<?php echo $setting->getSetting( $key . 'color', '#ffffff' ); ?>" />

            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The color of the text menu.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Background Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>bgcolor"><?php _e( 'Background Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>bgcolor" name="<?php echo $key; ?>bgcolor" value="<?php echo $setting->getSetting( $key . 'bgcolor', '#333333' ); ?>" />

            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The color of the background menu.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Hover Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>hover_color"><?php _e( 'On Hover Text Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>hover_color" name="<?php echo $key; ?>hover_color" value="<?php echo $setting->getSetting( $key . 'hover_color', '#ffffff' ); ?>" />

            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The color of the text menu on hover.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Hover Background Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>hover_bgcolor"><?php _e( 'On Hover Background Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>hover_bgcolor" name="<?php echo $key; ?>hover_bgcolor" value="<?php echo $setting->getSetting( $key . 'hover_bgcolor', '#000000' ); ?>" />

            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The color of the background menu on hover.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
</div>
