<?php
$setting = $this->type_setting;
$key     = $this->type_key;
?>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Text Design Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Font Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>font_size"><?php _e( 'Font Size', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $font_size = $setting->getSetting( $key . 'font_size', 14 );
                ?>
                <input type="text" id="<?php echo $key; ?>font_size" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>font_size" value="<?php echo $font_size; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font size of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>font_family"><?php _e( 'Font Family', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <?php
            $current = $setting->getSetting( $key . 'font_family', 'roboto' );
            $fonts   = IPBar_Font::getOptions();
            $fname   = IPBar_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="<?php echo $key; ?>font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>color"><?php _e( 'Text Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>color" name="<?php echo $key; ?>color" value="<?php echo $setting->getSetting( $key . 'color', '#000000' ); ?>" />
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The text color of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>