<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-paint-brush"></i> 
            <?php _e( 'Design', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <div class="ipbe-fields">
            
            <?php
            //Height
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-height"><?php _e( 'Height', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $height = $setting->getSetting( 'height', 0 );
                        ?>
                        <input type="text" id="input-height" class="ipbe-input ipbe-input-xxs" name="height" value="<?php echo $height; ?>">
                        <div class="ipbe-input-addon">px</div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set height of the notification bar. Set to 0 if you want the notification bar to automatically adjust on the height of the content.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Edge Space
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-edge-space"><?php _e( 'Edge Space', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $space = $setting->getSetting( 'edge_space', 0 );
                        ?>
                        <input type="text" id="input-edge-space" class="ipbe-input ipbe-input-xxs" name="edge_space" value="<?php echo $space; ?>">
                        <div class="ipbe-input-addon">px</div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Space around the bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Background Color
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-bg-color"><?php _e( 'Background Color', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    <input type="text" class="ipbar-color-picker" id="input-bg-color" name="bg_color" value="<?php echo $setting->getSetting( 'bg_color', '#333333' ); ?>" />
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the background color of the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Gradient Color
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-bg-color"><?php _e( 'Gradient Color', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff mr10">
                        <?php
                        $val = $setting->getSetting( 'gradient_color', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="gradient_color" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set whether to use a color gradient effect on the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Color
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-text-color"><?php _e( 'Text Color', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    <input type="text" class="ipbar-color-picker" id="input-text-color" name="text_color" value="<?php echo $setting->getSetting( 'text_color', '#ffffff' ); ?>" />
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the text color of the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Border
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-border-width"><?php _e( 'Border', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    <div class="ipbe-input-group mr5">
                        <?php
                        $bowidth = $setting->getSetting( 'border_width', 2 );
                        $bocolor = $setting->getSetting( 'border_color', '#222222' );
                        ?>
                        <input type="text" id="input-border-width" class="ipbe-input ipbe-input-xxs" name="border_width" value="<?php echo $bowidth; ?>">
                        <div class="ipbe-input-addon">px</div>
                    </div>
                    <input type="text" class="ipbar-color-picker" id="input-border-color" name="border_color" value="<?php echo $bocolor; ?>" />
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the border that surrounds the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Border radius
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-border-radius"><?php _e( 'Border Radius', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <select name="border_radius" id="input-border-radius">
                        <?php
                        $current = $setting->getSetting( 'border_radius', 'none' );
                        $styles  = array(
                            'none' => __( 'None', 'wp_combo_bar' ),
                            'sm'   => __( 'Small', 'wp_combo_bar' ),
                            'md'   => __( 'Medium', 'wp_combo_bar' ),
                            'lg'   => __( 'Large', 'wp_combo_bar' )
                        );
                        foreach( $styles as $key => $label ) {
                            $sltd = '';
                            if ( $key == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the border radius of the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Shadow
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-shadow"><?php _e( 'Shadow', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <select name="shadow" id="input-shadow">
                        <?php
                        $current = $setting->getSetting( 'shadow', 'none' );
                        $shadows = array(
                            'none' => __( 'None', 'wp_combo_bar' ),
                            'sm'   => __( 'Small', 'wp_combo_bar' ),
                            'md'   => __( 'Medium', 'wp_combo_bar' ),
                            'lg'   => __( 'Large', 'wp_combo_bar' )
                        );
                        foreach( $shadows as $key => $label ) {
                            $sltd = '';
                            if ( $key == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the box shadow of the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>