<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-magic"></i> 
            <?php _e( 'Effect', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <div class="ipbe-fields">
            
            <?php
            //Animation Type
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-animation-type"><?php _e( 'Animation Type', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">

                    <select name="animation_type" id="input-animation-type">
                        <?php
                        $current = $setting->getSetting( 'animation_type', 'linear' );
                        $effects = array(
                            'linear'    => __( 'Linear', 'wp_combo_bar' ),
                            'bounce'    => __( 'Bounce', 'wp_combo_bar' ),
                            'back'      => __( 'Back', 'wp_combo_bar' ),
                            'elastic'   => __( 'Elastic', 'wp_combo_bar' ),
                            'expo'      => __( 'Expo', 'wp_combo_bar' )
                        );
                        foreach( $effects as $key => $label )
                        {
                            $sltd = '';
                            if ( $current == $key ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the type of the animation when the notification bar is displayed.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Animation Speed
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-animation-speed"><?php _e( 'Animation Speed', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">

                    <select id="input-animation-speed" class="ipbe-input" name="animation_speed">
                        <?php
                        $effect  = stripslashes( $setting->getSetting( 'animation_speed', 'md' ) );
                        $options = array(
                            'xs'    => __( 'Very Slow', 'wp_combo_bar' ),
                            'sm'    => __( 'Slow', 'wp_combo_bar' ),
                            'md'    => __( 'Medium', 'wp_combo_bar' ),
                            'lg'    => __( 'Fast', 'wp_combo_bar' ),
                            'xg'    => __( 'Very Fast', 'wp_combo_bar' ),
                        );
                        foreach( $options as $key => $option ) {
                            $sltd = '';
                            if ( $key == $effect ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the speed of the animation when the notification bar is displayed.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Audio
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-audio"><?php _e( 'Audio', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">

                    <select id="input-audio" class="ipbe-input" name="audio">
                        <option value="0"> <?php _e( 'No Audio', 'wp_combo_bar' );  ?> </option>
                        <?php
                        $audio   = absint( $setting->getSetting( 'audio', 0 ) );
                        $options = range(1,5);
                        foreach( $options as $key ) {
                            $sltd = '';
                            if ( $key == $audio ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the sound effect when the notification bar is displayed.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>