<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_recent_posts_';

//
//Get posts
$count    = $setting->getSetting( $key . 'count', 5 );
$category = $setting->getSetting( $key . 'category', 0 );

$args = array(
    'orderby'        => 'post_date',
    'order'          => 'DESC', 
    'post_type'      => 'post',
    'post_status'    => array('publish'),
    'posts_per_page' => $count,
    'paged'          => 1
);
if ( ! empty( $category )) {
    $args['cat'] = $category;
}
$query = new WP_Query;
$posts = $query->query( $args );

//
//Get style
$style   = ' style="';
//
//Font size
$font_size = absint( $setting->getSetting( $key . 'font_size', 14 ) );
$style  .= 'font-size:' . $font_size . 'px;';
//
//Font family
$family_name = $setting->getSetting( $key . 'font_family', 'roboto' );
$font_family = IPBar_Font::getFontName( $family_name );
$style  .= 'font-family:' . $font_family . ';';
//
//color
$color  = $setting->getSetting( $key . 'color', '#000000' );
$style .= 'color:' . $color . ';';
$style .= '"';
?>
<style>
    .ipbar_recent_posts a {
        color: <?php echo $setting->getSetting( $key . 'link_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_underline', '#333333' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
    .ipbar_recent_posts a:hover {
        color: <?php echo $setting->getSetting( $key . 'link_hover_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_hover_underline', '#000000' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
</style>
<div class="ipbar_content_type ipbar_recent_posts"<?php echo $style; ?>>
    <?php
    //
    //Get data
    $effect = $setting->getSetting( $key . 'slider_effect', 'slide' );
    $speed  = $setting->getSetting( $key . 'slider_speed', 1000 );
    $delay  = $setting->getSetting( $key . 'slider_delay', 5000 );
    $data   = ' data-effect=' . $effect . ' data-speed="' . $speed . '" data-delay="' . $delay . '"';
    ?>
    <div class="ipbar_recent_posts_slider"<?php echo $data; ?>>
        <div class="slides">
            <?php
            if ( ! empty( $posts ) ) :
                foreach( $posts as $post ) :
                    //
                    //Get setting content
                    $link   = get_permalink( $post->ID );
                    $thumb  = $setting->getSetting( $key . 'thumbnail', 'false' );
                    $date   = $setting->getSetting( $key . 'date_time', 'false' );
                    $read   = $setting->getSetting( $key . 'read_more', 'false' );
                    $author = $setting->getSetting( $key . 'author', 'false' );
                    $thumbImg = get_the_post_thumbnail( $post->ID, 'thumbnail' );
                    $class    = 'ipbar_post';
                    if ( $thumb == 'true' && ! empty( $thumbImg )) {
                        $class .= ' ipbar_post_wthumb';
                    }
                ?>
                <div class="<?php echo $class; ?>">
                    <div class="ipbar_post_inner clear">
                        <?php
                        if ( $thumb == 'true' && ! empty( $thumbImg )) :
                        ?>
                        <div class="ipbar_post_thumb">
                            <?php echo $thumbImg; ?>
                        </div>
                        <?php
                        endif;
                        ?>
                        <div class="ipbar_post_main">
                            <?php 
                            if ( $date == 'true' || $author == 'true' ) :
                            ?>
                            <div class="ipbar_post_info">
                                <?php
                                if ( $date == 'true' ) :
                                ?>
                                <span class="ipbar_post_date">
                                    <i class="ibe ibe-calendar"></i> 
                                    <?php echo mysql2date( 'd F Y, h:i', $post->post_date ); ?>
                                </span>
                                <?php
                                endif;
                                
                                if ( $author == 'true' ) :
                                    $name = '-';
                                    if ( ! empty( $post->post_author )) {
                                        $user = get_userdata( $post->post_author );
                                        $name = $user->user_nicename;
                                    }
                                ?>
                                <span class="ipbar_post_author">
                                    <i class="ibe ibe-user"></i> 
                                    <?php echo $name; ?>
                                </span>
                                <?php
                                endif;
                                ?>
                            </div>
                            <?php
                            endif;
                            ?>
                            <div class="ipbar_post_heading">
                                <?php
                                $title_excerpt = $setting->getSetting( $key . 'title_excerpt', 'title' );
                                if ( $title_excerpt == 'title' ) :
                                ?>
                                <h3 class="ipbar_post_title">
                                    <a href="<?php echo $link; ?>"><?php echo $post->post_title; ?></a>
                                </h3>
                                <?php
                                else :
                                ?>
                                <p class="ipbar_post_excerpt">
                                    <a href="<?php echo $link; ?>"><?php echo $post->post_excerpt; ?></a>
                                </p>
                                <?php
                                endif;
                                ?>
                            </div>
                            <div class="ipbar_post_footer">
                                <?php
                                if ( $read == 'true' ) :
                                ?>
                                <a class="ipbar_post_readmore" href="<?php echo $link; ?>"><?php _e( 'Read More' ); ?></a>
                                <?php
                                endif;
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                endforeach;
            else :
            ?>
            <p><em><?php _e( 'No posts found.', 'wp_combo_bar' ); ?></em></p>
            <?php
            endif;
            ?>
        </div>
    </div>
</div>
