<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_recent_posts_';
?>
<div class="ipbar-fields-recent_posts">
    <?php
    //Count
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>count"><?php _e( 'Number Of Posts', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $count = $setting->getSetting( $key . 'count', 5 );
                ?>
                <input type="text" id="<?php echo $key; ?>count" class="ipbe-input ipbe-input-xs" name="<?php echo $key; ?>count" value="<?php echo $count; ?>">
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Total number of blog posts to show.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Category
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>category"><?php _e( 'Category', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <select id="<?php echo $key; ?>category" name="<?php echo $key; ?>category">
                <?php
                $current    = $setting->getSetting( $key . 'category', 0 );
                $categories = get_categories();
                
                foreach( $categories as $category ) {
                    $sltd = '';
                    if ( $current == $category->term_taxonomy_id ) {
                       $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $category->term_taxonomy_id . '"' . $sltd . '>' . $category->name . '</option>';
                }
                ?>
            </select>
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Total number of blog posts to show.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input title or excerpt
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>title_excerpt"><?php _e( 'Title or Excerpt', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <?php
            $current = $setting->getSetting( $key . 'title_excerpt', 'title' );
            $options = array(
                'title'     => __( 'Title', 'wp_combo_bar' ),
                'excerpt'   => __( 'Excerpt', 'wp_combo_bar' )
            );
            foreach( $options as $okey => $label ) :
                $check = '';
                if ( $current == $okey ) {
                    $check = ' checked="checked"';
                }
            ?>
            <span class="mr20">
                <label>
                    <input type="radio" name="<?php echo $key; ?>title_excerpt" value="<?php echo $okey; ?>"<?php echo $check; ?>>
                    <?php echo $label; ?>
                </label>
            </span>
            <?php
            endforeach;
            ?>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Show/hide Read More link.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    <?php
    //Input read more
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>read_more"><?php _e( 'Show &quot;Read More&quot; Link', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'read_more', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>read_more" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Show/hide Read More link.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input thumbnail
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>thumbnail"><?php _e( 'Show &quot;Thumbnail&quot;', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'thumbnail', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>thumbnail" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Show/hide blog post thumbnail image.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input date time
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>date_time"><?php _e( 'Show &quot;Date &amp; Time&quot;', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'date_time', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>date_time" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Show/hide blog post date.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input author
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>author"><?php _e( 'Show &quot;Author&quot;', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'author', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>author" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Show/hide blog post author name.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    $this->type_key = $key;
    $this->view( 'edit/content/text_design_options' );
    $this->view( 'edit/content/link_design_options' );
    $this->view( 'edit/content/slider_options' );
    ?>
</div>
