<?php
$setting = $this->type_setting;
$key     = $this->type_key;
?>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Slider Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Slider Effect
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>slider_effect"><?php _e( 'Slide Effect', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <select name="<?php echo $key; ?>slider_effect" id="<?php echo $key; ?>slider_effect">
                <?php
                $current = $setting->getSetting( $key . 'slider_effect', 'slide' );
                $styles  = array(
                    'slide'  => __( 'Slide', 'wp_combo_bar' ),
                    'fade'   => __( 'Fade', 'wp_combo_bar' )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
            <?php _e( 'The effect of the slider.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Animation Speed
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>slider_speed"><?php _e( 'Slider Animation Speed', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $speed = $setting->getSetting( $key . 'slider_speed', 1000 );
                ?>
                <input type="text" id="<?php echo $key; ?>slider_speed" class="ipbe-input ipbe-input-xs" name="<?php echo $key; ?>slider_speed" value="<?php echo $speed; ?>">
                <div class="ipbe-input-addon">milliseconds</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
            <?php _e( 'Set slider animation speed in milliseconds.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Animation Delay
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>slider_delay"><?php _e( 'Slider Animation Delay', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $delay = $setting->getSetting( $key . 'slider_delay', 5000 );
                ?>
                <input type="text" id="<?php echo $key; ?>slider_delay" class="ipbe-input ipbe-input-xs" name="<?php echo $key; ?>slider_delay" value="<?php echo $delay; ?>">
                <div class="ipbe-input-addon">milliseconds</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
            <?php _e( 'Set delay between each slides in milliseconds.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>