<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-eye"></i> 
            <?php _e( 'Display', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <div class="ipbe-fields">
            
            <?php
            //Default Visibility
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-default-visibility"><?php _e( 'Default Visibility', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff mr10">
                        <?php
                        $val = $setting->getSetting( 'default_visibility', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_combo_bar' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hidden', 'wp_combo_bar' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="default_visibility" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Regulate how the notification bar will be displayed when the page is loaded. If this setting is defined as "Hidden" it will then be presented with a link to display the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Delayed time
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-delayed-time"><?php _e( 'Delayed Time', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $time = $setting->getSetting( 'delayed_time', 0 );
                        ?>
                        <input type="text" id="input-delayed-time" class="ipbe-input ipbe-input-xxs" name="delayed_time" value="<?php echo $time; ?>">
                        <div class="ipbe-input-addon">second</div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Define the time interval in seconds the notification bar is displayed. This option is only valid when the visibility default option is set to "Show".', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Close button
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-close-button"><?php _e( 'Close Button', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff mr10">
                        <?php
                        $val = $setting->getSetting( 'close_button', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="close_button" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set whether to display the close button on the notification bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Close button icon
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-close-button-icon"><?php _e( 'Close Button Icon', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-faicon-options">
                        <ul class="ipbe-clear">
                            <?php
                            $value = $setting->getSetting( 'close_button_icon', 'times' );
                            $icons = array(
                                'times'          => 'Times',
                                'times-circle'   => 'Times Circle',
                                'times-circle-o' => 'Times Circle O'
                            );
                            foreach( $icons as $key => $icon )
                            {
                                $key  = trim( $key );
                                $sltd = '';
                                if ( $key == $value ) {
                                    $sltd = ' class="selected"';
                                }
                                echo '<li><a href="#" data-value="'.$key.'" title="'.$icon.'"'.$sltd.'>
                                            <i class="ibe ibe-'.$key.'"></i>
                                      </a></li>';
                            }
                            ?>
                        </ul>
                        <input class="ipbe-icon-selected ipbe-input-preview" type="hidden" name="close_button_icon" value="<?php echo $value; ?>">
                    </div>
                </div>
            </div>
            
            <?php
            //Open button icon
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-open-button-icon"><?php _e( 'Open Button Icon', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-faicon-options">
                        <ul class="ipbe-clear">
                            <?php
                            $value = $setting->getSetting( 'open_button_icon', 'toggle-down' );
                            $icons = array(
                                'chevron-down'          => 'Chevron Down',
                                'chevron-circle-down'   => 'Chevron Circle Down',
                                'toggle-down'           => 'Togle Down',
                                'caret-down'            => 'Caret Down',
                                'arrow-circle-down'     => 'Arrow Circle Down',
                                'arrow-circle-o-down'   => 'Arrow Circle O Down'
                            );
                            foreach( $icons as $key => $icon )
                            {
                                $key  = trim( $key );
                                $sltd = '';
                                if ( $key == $value ) {
                                    $sltd = ' class="selected"';
                                }
                                echo '<li><a href="#" data-value="'.$key.'" title="'.$icon.'"'.$sltd.'>
                                            <i class="ibe ibe-'.$key.'"></i>
                                      </a></li>';
                            }
                            ?>
                        </ul>
                        <input class="ipbe-icon-selected ipbe-input-preview" type="hidden" name="open_button_icon" value="<?php echo $value; ?>">
                    </div>
                </div>
            </div>
            
            <?php
            //Open/Close button color
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-open-button-bgcolor"><?php _e( 'Open/Close Button Background Color', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    <input type="text" class="ipbar-color-picker" id="input-open-button-bgcolor" name="open_button_bgcolor" value="<?php echo $setting->getSetting( 'open_button_bgcolor', '#000000' ); ?>" />
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The color of the open/close button bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Open/Close button color
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-open-button-color"><?php _e( 'Open/Close Button Color', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    <input type="text" class="ipbar-color-picker" id="input-open-button-color" name="open_button_color" value="<?php echo $setting->getSetting( 'open_button_color', '#ffffff' ); ?>" />
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The color of the open/close button bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Open/Close button icon
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-open-button-position"><?php _e( 'Open/Close Button Position', 'wp_combo_bar' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <select name="open_button_position" id="input-open-button-position">
                        <?php
                        $current = $setting->getSetting( 'open_button_position', 'inner_right' );
                        $positions = array(
                            'inner_right' => __( 'Inner Right', 'wp_combo_bar' ),
                            'inner_left'  => __( 'Inner Left', 'wp_combo_bar' ),
                            'outer_right' => __( 'Outer Right', 'wp_combo_bar' ),
                            'outer_left'  => __( 'Outer Left', 'wp_combo_bar' )
                        );
                        foreach( $positions as $key => $label ) {
                            $sltd = '';
                            if ( $key == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                        }
                        ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The position of the open/close button bar.', 'wp_combo_bar' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        
    </div>
</div>