<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_login_form_';

//
//Get form action
$red_opt  = $setting->getSetting( $key . 'redirect' );
if ( empty( $red_opt )) {
    $redirect = get_home_url();
} else {
    $redirect = get_permalink( $red_opt );
}
$action = wp_login_url();

//
//Get font-family name
$ffname = $setting->getSetting( $key . 'input_font_family', 'roboto' );
$ffont  = IPBar_Font::getFontName( $ffname );

//
//Get input style
$istyle  = ' style="';
//Font family
$istyle .= 'font-family:' . $ffont . ';';
//Font size
$istyle .= 'font-size:' . $setting->getSetting( $key . 'input_font_size', 14 ) . 'px;';
//Background color
$istyle .= 'background-color:' . $setting->getSetting( $key . 'input_bgcolor', '#ffffff' ) . ';';
//Color
$istyle .= 'color:' . $setting->getSetting( $key . 'input_color', '#333333' ) . ';';
//Border
$bosize  = $setting->getSetting( $key . 'input_border_width', 1 );
$bocolor = $setting->getSetting( $key . 'input_border_color', '#dddddd' );
//Height
$height  = $setting->getSetting( $key . 'input_height', 34 );
$istyle .= 'height:' . $height . 'px;line-height:' . $height . 'px;';
//Width
$istyle .= 'width:' . $setting->getSetting( $key . 'input_width', 200 ) . 'px;';
$istyle .= 'border:' . $bosize . 'px solid ' . $bocolor . ';';
$istyle .= '"';

//
//Get input class
$iclass  = 'ipbar_form_control';
//Border radius
$iclass .= ' ipbar_radius_' . $setting->getSetting( $key . 'input_border_radius', 'none' );
?>
<div class="ipbar_content_type ipbar_login_form">
    <form class="ipbar_form ipbar_form_horizontal" method="post" action="<?php echo $action; ?>">
        <div class="ipbar_form_fields">
            <div class="ipbar_form_field">
                <label for="ipbar_user_login">
                    <?php
                    if ( $label = $setting->getSetting( $key . 'label_name' )) {
                        echo '<strong class="ipbar_form_label">' . $label . '</strong>';
                    }
                    $placeholder  = '';
                    if ( $pholder_text = $setting->getSetting( $key . 'placeholder_name' )) {
                        $placeholder = ' placeholder="' . $pholder_text . '"';
                    }
                    ?>
                    <span class="ipbar_form_input">
                        <input type="text" size="20" value="" class="<?php echo $iclass; ?>" id="ipbar_user_login" name="log"<?php echo $placeholder; ?><?php echo $istyle; ?>>
                    </span>
                </label>
            </div>
            <div class="ipbar_form_field">
                <label for="ipbar_user_pass">
                    <?php
                    if ( $label = $setting->getSetting( $key . 'label_password' )) {
                        echo '<strong class="ipbar_form_label">' . $label . '</strong>';
                    }
                    $placeholder  = '';
                    if ( $pholder_text = $setting->getSetting( $key . 'placeholder_password' )) {
                        $placeholder = ' placeholder="' . $pholder_text . '"';
                    }
                    ?>
                    <span class="ipbar_form_input">
                        <input type="password" size="20" value="" class="<?php echo $iclass; ?>" id="ipbar_user_pass" name="pwd"<?php echo $placeholder; ?><?php echo $istyle; ?>>
                    </span>
                </label>
            </div>
            <div class="ipbar_form_field ipbar_form_submit">
                <?php
                $btn_class  = 'ipbar-btn';
                $btn_class .= ' ipbar-btn-' . $setting->getSetting( $key . 'button_style', 'flat' );
                $btn_class .= ' ipbar-btn-' . $setting->getSetting( $key . 'button_color', 'clean' );
                $btn_class .= ' ipbar-btn-' . $setting->getSetting( $key . 'button_size', 'md' );
                $btn_style  = ' style="font-family:' . $ffont . ';"';
                ?>
                <button type="submit" class="<?php echo $btn_class; ?>" id="ipbar-submit" name="wp-submit"<?php echo $btn_style; ?>>
                    <?php echo $setting->getSetting( $key . 'button', 'Login' ); ?>
                </button>
            </div>
        </div>
        <input type="hidden" name="redirect_to" value="<?php echo $redirect; ?>" />
        <input type="hidden" name="testcookie" value="1" />
    </form>
</div>