/**
 * Admin js
 **/
(function($){

    $.fn.ipbar_select_social_icons = function( options ) 
    {
        var root = $(this);
        $( 'select', root ).change( function()
        {
            var value  = $(this).val();
            var vclass = 'ipbar-social-icons-style-preview-' + value;
            $( '.ipbar-social-icons-style-preview>div', root ).attr( 'class', vclass );
        });
    };
    
    $(document).ready(function() 
    {
        /**
         * Layout selected
         */
        $( '.ipbar-layout-option' ).click( function()
        {
            $( '.ipbar-layout-option' ).removeClass( 'ipbar-layout-option-active' );
            $( this ).addClass( 'ipbar-layout-option-active' );
            
            var value = $(this).data( 'value' );
            $( '#ipbar-value-layout' ).val( value );
            
            return false;
        });
        
        /*
         * Create new bar
         */
        $( '#ipbar-create-submit' ).click( function()
        {
            var layout = $( '#ipbar-value-layout' ).val();
            var title  = $( '#input-title' ).val();
            console.log( layout );
            //Show loader
            ip_ui.loader.show();
            
            //Ajax proses
            $.ajax({
                url: ajaxurl+'?doajax=1&ipbar=1&action=ipbar_create',
                type: "POST",
                dataType: "json",
                data: 'layout=' + layout + '&title=' + title,
                success: function (result) 
                {
                    if ( result.status == 1 ) {
                        window.location.href = result.redirect;
                    } else {
                        ip_ui.message.modal( result.message, 'alert-danger' );
                    }
                },
                error: function()
                {
                    alert( 'Error System' );
                }
            });
            
            return false;
        });
        
        function ipbar_main_function()
        {
            //
            //Fade Menu
            //
            if ( $( '.ipbe-fade-menu' ).length > 0 ) {
                $( '.ipbe-fade-menu' ).ipbe_fade_menu();
            }
            
            //
            //Button On Off
            //
            if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
                $( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
            }
            
            //
            //Select/upload image
            //
            if ( $( '.ipbe-upload-image' ).length > 0 ) {
                $( '.ipbe-upload-image' ).ipbe_select_image();
            }
            
            //
            //Toggle
            //
            if ( $( '.ipbe-toggle' ).length > 0 ) {
                $( '.ipbe-toggle' ).ipbe_toggle();
            }
            
            //
            //Fancy Options
            //
            if ( $( '.ipbe-fancy-option' ).length > 0 ) {
                $( '.ipbe-fancy-option' ).ipbe_fancy_option();
            }
            
            //
            //Color picker
            //
            if ( $('.ipbar-color-picker').length > 0 ) {
                $('.ipbar-color-picker').each( function() {
                    var picker = $(this);
                    picker.wpColorPicker({
                        change: function(event, ui){
                            picker.val( ui.color.toString() );
                        }
                    });
                });
            }
            
            /*
             * Date time picker
             */
            if ( $( '.ipbar-date-picker' ).length > 0 ) 
            {
                $('.ipbar-date-picker').datepicker({
                    format: 'yyyy/mm/dd'
                });
            }
            if ( $( '.ipbar-time-picker' ).length > 0 ) 
            {
                $('.ipbar-time-picker').timepicker({
                    minuteStep: 10,
                    showInputs: false,
                    disableFocus: true,
                    showMeridian: false,
                    defaultTime: false
                });
            }
            
            //Icon select
            if ( $( '.ipbe-faicon-options' ).length > 0 ) 
            {
                $( '.ipbe-faicon-options a' ).ipbe_select_active({
                    cont_selector:   '.ipbe-faicon-options',
                    item_selector:   'a',
                    input_selector:  '.ipbe-icon-selected'
                });
            }
            
            /*
             * Social icons
             */
            $( '.ipbar-social-icons-style' ).ipbar_select_social_icons();
        }
        //
        //Run main function
        ipbar_main_function();
        
        
        /**
         * Manage bar
         *
         */
        //
        //Edit bar
        var form_edit = new ip_form( '#ipbar-form-edit' );
        form_edit.is_add = false;
        form_edit.init();
        
        //
        //Delete bar
        var ipbar_delete_url = ajaxurl+'?doajax=1&ipbar=1&action=ipbar_delete';
        $( '.ipbar-item-delete' ).ipbe_list_delete( ipbar_delete_url );
        
        /*
         * Settings
         */
        var form_setting = new ip_form( '#ipbar-form-setting' );
        form_setting.init();
        
        /*
         * Change type
         */
        //
        //Open modal
        $( '.ipbar-column-type-change' ).click(function()
        {
            var column = $(this).data( 'column' );
            var type   = $( '#ipbar-change-type-selected' ).val();
            if ( type == '' ) {
                type = $(this).data( 'type' );
            }
            
            $( '.ipbar-change-type-option' ).removeClass( 'active' );
            $( '.ipbar-change-type-option[data-value="'+type+'"]' ).addClass( 'active' );
            $( '#ipbar-change-type-column' ).val( column );
        });
        $( '.ipbar-column-type-change' ).ip_modal();
        
        //
        //Select option
        $( '.ipbar-change-type-option' ).click( function()
        {
            var value = $(this).data( 'value' );
            $( '#ipbar-change-type-selected' ).val( value );
            $( '.ipbar-change-type-option' ).removeClass( 'active' );
            $( this ).addClass( 'active' );
            return false;
        });
        //
        //Do change
        $( '#ipbar-do-change-type' ).click( function()
        {
            var type   = $( '#ipbar-change-type-selected' ).val();
            var column = $( '#ipbar-change-type-column' ).val();
            var bar    = $( '#ipbar-change-type-bar' ).val();
            //
            //Ajax proses
            ip_ui.loader.show();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipbar=1&action=ipbar_change_type',
                type: "POST",
                dataType: "json",
                data: 'type=' + type + '&column=' + column + '&bar=' + bar,
                success: function ( result ) 
                {
                    if ( result.status == 1 ) {
                        var column_cont = $( '.ipbar-column-setting[data-column="'+column+'"]' );
                        $( '.ipbe-fields', column_cont )
                            .html( result.form );
                        //
                        //Run main function
                        ipbar_main_function();
                        //
                        //Change type title and value
                        $( '.ipbar-column-type span', column_cont ).text( result.title );
                        $( '.ipbar-column-type-change', column_cont ).attr( 'data-type', result.type );
                        $( '.ipbar-column-type-value', column_cont ).val( result.type );
                    }
                    //
                    //Hide modal
                    ip_ui.loader.hide();
                    var popup = $( '#ipbar-modal-change-type' );
                    ip_ui.modal.popup_hide( popup );
                    //
                    //Show message
                    if ( result.status == 1 ) {
                        ip_ui.message.modal( result.message, 'alert-success' );
                    } else {
                        ip_ui.message.modal( result.message, 'alert-danger' );
                    }
                },
                error: function()
                {
                    alert( 'Error System' );
                }
            });
            return false;
        });
        
    });
    
})(jQuery);